libdap::DapIndent Class Reference

class with static methods to help with indentation of debug information. More...

`#include <DapIndent.h>`

## Static Public Member Functions

static const string & | GetIndent ()
static void | Indent ()
static ostream & | LMarg (ostream &strm)
static void | Reset ()
static void | SetIndent (const string &indent)
static void | UnIndent ()

## Detailed Description

class with static methods to help with indentation of debug information.

Definition at line 50 of file DapIndent.h.

## Member Function Documentation

## GetIndent()

const string & libdap::DapIndent::GetIndent | ( |  | ) |

static

Definition at line 57 of file DapIndent.cc.

## Indent()

void libdap::DapIndent::Indent | ( |  | ) |

static

Definition at line 44 of file DapIndent.cc.

## LMarg()

ostream & libdap::DapIndent::LMarg | ( | ostream & | strm | ) |

static

Definition at line 61 of file DapIndent.cc.

## Reset()

void libdap::DapIndent::Reset | ( |  | ) |

static

Definition at line 55 of file DapIndent.cc.

## SetIndent()

void libdap::DapIndent::SetIndent | ( | const string & | indent | ) |

static

Definition at line 59 of file DapIndent.cc.

## UnIndent()

void libdap::DapIndent::UnIndent | ( |  | ) |

static

Definition at line 46 of file DapIndent.cc.

The documentation for this class was generated from the following files:

- DapIndent.h
- DapIndent.cc